<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';
require_once '../incfiles/head.php';
if (empty($user_id) || $ajax_query == false) go(URL);

$_GET['id'] = str_replace("track_","", $_GET['id']);
$err = true;

if (!empty($_GET['id']) && is_numeric($_GET['id']))
{
	$id = abs(intval($_GET['id']));
	$result = mysql_query("SELECT * FROM `audio` WHERE `id` = '".$id."' LIMIT 1");
	if (mysql_num_rows($result) == true) $arr = mysql_fetch_array($result);
	else exit;

if (mysql_result(mysql_query("SELECT COUNT(`id`) FROM `audioplaylist` WHERE `user_id` = '".$user_id."' LIMIT 1"),0) == false)
{
	if (mysql_query("INSERT INTO `audioplaylist` SET `user_id` = '".$user_id."', `tracks` = '|".$id."|', `count` = 1") == true && mysql_query("UPDATE `users` SET count_audio=count_audio+1 WHERE `id` = '".$user_id."'") == true) $err = false;
}
else
{
	$arr_pl = mysql_fetch_array(mysql_query("SELECT * FROM `audioplaylist` WHERE `user_id` = '".$user_id."' LIMIT 1"));
	if (!in_array($id, explode("||", substr($arr_pl['tracks'], 1, -1)))) if (mysql_query("UPDATE `audioplaylist` SET `tracks` = '|".$id."|".$arr_pl['tracks']."', count=count+1 WHERE `user_id` = '".$user_id."'") == true && mysql_query("UPDATE `users` SET count_audio=count_audio+1 WHERE `id` = '".$user_id."'")) $err = false;
}

if ($err == true) echo err(lang('Вы уже добавили этот трек в Аудиозаписи','Ви вже додали цей трек до Аудіозаписів')) ;

else echo ok(lang('Трек добавлен в Ваши Аудиозаписи','Трек доданий до Ваших Аудіозаписів'));

}
?><input class="buttonSend" onclick="window.history.back();" type="button" value="Назад"/>
<?
require_once '../incfiles/foot.php';